local 任务名称 = "幸运快活三"
local NpcName = "柳月虹"

function 幸运快活三()
	if GetBackpackNull(1) == 0 then 打印信息("背包已满，请整理背包，结束脚本") return end
	if 取距离(230,350) > 20 or 取地图名() ~= "苏州" then
		召唤坐骑(1)
	end
	跨图寻路(230,350,"苏州")
	对话npc(NpcName)
	延迟(1000)
	对话选项(任务名称)
	if 查找对话项文本(1,"今天已经参加过") == 1 then 打印信息("今天已经参加过幸运快活抽奖, 脚本结束") return end
	if 取对话栏内容() == "#{XYLP_20071222_08}" then 打印信息("需要等待一小时才可抽奖, 脚本结束") return end
	while true do
		local i = LuaGetParam(1999986,0)
		if i == 3 then
		    延迟(1000)
			CompleteLuckdraw()
			延迟(1000)
			if 取对话栏内容() == "#{XYLP_20071222_02}" then 
				打印信息("没有奖励可以领取,脚本结束") 
				return 
			else
				对话npc(NpcName)
				延迟(1000)
				对话选项("领取幸运快活三奖励")
				打印信息("领取奖励成功,脚本结束")
				return
			end
		else
			SelectedCard(i)
		end
		延迟(3000)
	end
end
打印信息("幸运：执行幸运快活脚本!!!")
if lua_dostring("Count = Player:GetData("..'"LEVEL"'..");","Count","") < 20 then
	打印信息("人物等级不足20,无法做此任务,脚本结束")
	return
else
	幸运快活三()
end
